Name:		perl-Text-Kakasi
Version:	1.05
Release:	2
License:	GPL
URL:		http://www.daionet.gr.jp/~knok/kakasi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildPreReq:	kakasi-devel >= 2.3.1

Source:		Text-Kakasi-%{version}.tar.gz
Patch:		Text-Kakasi-1.04-perl580.diff


Summary:	kakasi library module for perl
Group:		Applications/Text
Requires:	perl >= 5.8.0, kakasi >= 2.3.1

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -n Text-Kakasi-%{version}
%patch -p1 -b .perl580

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make DESTDIR=$RPM_BUILD_ROOT install

pushd %{buildroot}
  find . -name .packlist | xargs rm -f
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/*/Text
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/*/auto/Text
%{_libdir}/perl5/vendor_perl/*/*-linux*/Text/Kakasi.pm
%{_libdir}/perl5/vendor_perl/*/*-linux*/auto/Text/Kakasi
%{_mandir}/man3/Text::Kakasi.3pm.gz

%changelog
* Thu Aug 15 2002 Tim Powers <timp@redhat.com>
- clean up file list so that we pick up the man page from the correct place

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 1.05-1
- New upstream release.
- add the owned directory.
- clean up for spec.
- moved site_perl to vendor_perl

* Tue Jun 25 2002 Yukihiro Nakai <ynakai@redhat.com>
- Delete Japanese description
- Fix for perl 5.8.0 (#67002)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jul 25 2001 Tim Powers <timp@redhat.com>
- remove perl temp files

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Dec 11 2000 Akira Tagoh <tagoh@redhat.com>
- Rebuild for 7.1

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
